# setTransitive

abstract fun setTransitive(transitive: Boolean): ModuleDependency

Sets whether this dependency should be resolved including or excluding its transitive dependencies. The artifacts belonging to this dependency might themselves have dependencies on other artifacts. The latter are called transitive dependencies.

#### Return

this

#### Parameters

transitive

Whether transitive dependencies should be resolved.